Bug 239624 - Latest RHEL3 kernel does not recognize Marvell 88E8055 gigabit ethernet controller
Latest RHEL3 kernel does not recognize Marvell 88E8055 gigabit ethernet contr...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-05-09 20:37 EDT by Bill Muller
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Muller 2007-05-09 20:37:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
System: Panasonic CF-30
Ethernet Device: Marvell 88E8055 Gigabit Ethernet Controller

The default 2.4.21-49.EL kernel does not include the sk98lin driver module though the /boot/config-2.4.21-49.EL file indicated that the driver should be there.  After rebuilding the kernel using /boot/config-2.4.21-49.EL as my config file and verifying that the module was indeed now present on the system, the ethernet interface is not recognized.

I previously patched the 2.4.21-47.0.1.EL version of the kernel using Marvell's driver and it has been working fairly well but we have seen some intermittent network errors.  I have also tested RHEL4U5, which has an updated sky2 driver, on this platform and the network interface operates properly, unfortunately due to contractual obligations I will have to support RHEL3 on the Panasonic CF-30 for at least a year.  Is there any possibility that RedHat will begin supporting these controllers in RHEL3?	

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL3 on the system.
2. Update to the latest kernel.

Actual Results:
The ethernet interface is inoperative.

Expected Results:
The ethernet interface should function.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:37:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.